﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Runtime.CompilerServices;
using System.Text;

namespace SFXamIssues.Models
{
    public class DataRecord : INotifyPropertyChanged
    {

        private int? _region;

        public int? Region { get { return _region; } set { _region = value; OnPropertyChanged(nameof(Region)); } }


        private int? _rating;

        public int? Rating { get { return _rating;  } set { _rating = value; OnPropertyChanged(nameof(Rating)); } }

        #region INotifyPropertyChanged

            public event PropertyChangedEventHandler PropertyChanged;
            protected void OnPropertyChanged([CallerMemberName] string propertyName = "")
            {
                var changed = PropertyChanged;
                if (changed == null)
                    return;

                changed.Invoke(this, new PropertyChangedEventArgs(propertyName));
            }

            protected bool SetProperty<T>(ref T backingStore, T value,
                [CallerMemberName]string propertyName = "",
                Action onChanged = null)
            {
                if (EqualityComparer<T>.Default.Equals(backingStore, value))
                    return false;

                backingStore = value;
                onChanged?.Invoke();
                OnPropertyChanged(propertyName);
                return true;
            }

        #endregion


    }
}
